net.minecraftforge.client

## Class EnumHelperClient

- java.lang.Object
- - net.minecraftforge.common.EnumHelper
  - - net.minecraftforge.client.EnumHelperClient

-     public class EnumHelperClient
      extends EnumHelper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnumHelperClient()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T extends Enum<?>> T` | `addEnum(Class<T> enumType, String enumName, Object... paramValues)`
    `static EnumGameType` | `addGameType(String name, int id, String displayName)`
    `static EnumOptions` | `addOptions(String name, String langName, boolean isSlider, boolean isToggle)`
    `static EnumOS` | `addOS2(String name)`
    `static EnumRarity` | `addRarity(String name, int color, String displayName)`

    - ### Methods inherited from class net.minecraftforge.common.EnumHelper

      `addAction, addArmorMaterial, addArt, addCreatureAttribute, addCreatureType, addDoor, addEnchantmentType, addEntitySize, addEnum, addEnum, addMobType, addMovingObjectType, addSkyBlock, addStatus, addToolMaterial, setFailsafeFieldValue`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnumHelperClient

          public EnumHelperClient()

  - ### Method Detail

    - #### addGameType

          public static EnumGameType addGameType(String name,
                                 int id,
                                 String displayName)

    - #### addOptions

          public static EnumOptions addOptions(String name,
                               String langName,
                               boolean isSlider,
                               boolean isToggle)

    - #### addOS2

          public static EnumOS addOS2(String name)

    - #### addRarity

          public static EnumRarity addRarity(String name,
                             int color,
                             String displayName)

    - #### addEnum

          public static <T extends Enum<?>> T addEnum(Class<T> enumType,
                                      String enumName,
                                      Object... paramValues)